org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtTxQueryFirstEnlistRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.GridCacheIdMessage
    - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxQueryEnlistRequest
      - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxQueryFirstEnlistRequest

All Implemented Interfaces:
  Serializable, Message

    public class GridDhtTxQueryFirstEnlistRequest
    extends GridDhtTxQueryEnlistRequest

First enlist request.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheId`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtTxQueryFirstEnlistRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addDeploymentInfo()` Deployment enabled flag indicates whether deployment info has to be added to this message.
`long` `cleanupVersion()`
`long` `coordinatorVersion()`
`long` `counter()`
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`MvccSnapshot` `mvccSnapshot()`
`UUID` `nearNodeId()`
`GridCacheVersion` `nearXidVersion()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`UUID` `subjectId()`
`int` `taskNameHash()`
`long` `timeout()`
`AffinityTopologyVersion` `topologyVersion()` Gets topology version or -1 in case of topology version is not required for this message.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxQueryEnlistRequest

`batchId, batchSize, dhtFutureId, finishUnmarshal, keys, op, operationCounter, prepareMarshal, values, version`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheGroupMessage, cacheId, cacheId, handlerId`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`appendFlag, classError, deployInfo, error, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, messageLogger, nextIndexId, onAckReceived, onClassError, partition, partitionExchangeMessage, prepare, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, prepareObject, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDhtTxQueryFirstEnlistRequest

    public GridDhtTxQueryFirstEnlistRequest()

### Method Detail

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Gets topology version or -1 in case of topology version is not required for this message.

Overrides:
  `topologyVersion` in class `GridCacheMessage`
Returns:
  Topology version.

#### nearNodeId

    public UUID nearNodeId()

Returns:
  Near node id.

#### nearXidVersion

    public GridCacheVersion nearXidVersion()

Returns:
  Near transaction ID.

#### timeout

    public long timeout()

Returns:
  Max lock wait time.

#### subjectId

    public UUID subjectId()

Returns:
  Subject id.

#### taskNameHash

    public int taskNameHash()

Returns:
  Task name hash.

#### mvccSnapshot

    public MvccSnapshot mvccSnapshot()

Returns:
  MVCC snapshot.

#### coordinatorVersion

    public long coordinatorVersion()

Returns:
  Coordinator version.

#### counter

    public long counter()

Returns:
  Counter.

#### cleanupVersion

    public long cleanupVersion()

Returns:
  Cleanup version.

#### addDeploymentInfo

    public boolean addDeploymentInfo()

Deployment enabled flag indicates whether deployment info has to be added to this message.

Overrides:
  `addDeploymentInfo` in class `GridDhtTxQueryEnlistRequest`
Returns:
  `true` or if deployment info must be added to the the message, `false` otherwise.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `GridDhtTxQueryEnlistRequest`
Returns:
  Message type.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridDhtTxQueryEnlistRequest`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridDhtTxQueryEnlistRequest`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridDhtTxQueryEnlistRequest`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDhtTxQueryEnlistRequest`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019